#
# spec file for package libxflaim
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libxflaim
BuildRequires:  gcc-c++
BuildRequires:  java-1_7_0-openjdk-devel
BuildRequires:  mono-devel
BuildRequires:  ncurses-devel
Summary:        Embeddable XML Database Engine
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Url:            http://forge.novell.com/modules/xfmod/project/?flaim
Version:        5.1.1046
Release:        196.10
Source:         %{name}-%{version}.tar.bz2
Patch0:         libxflaim-warning.patch
Patch1:         gcc46-Makefile.patch
Patch2:         libxflaim-arm.patch
Patch3:         libxflaim-include.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig

%description
XFLAIM is an embeddable cross-platform XML database engine that
provides a rich, powerful, easy-to-use feature set. It has proven to be
highly scalable, reliable, and robust. It is available on a wide
variety of 32 bit and 64 bit platforms.

Authors:
--------
    Daniel Sanders
    Andrew Hodgkinson

%package devel
Summary:        Embeddable XML Database Engine
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       glibc-devel

%description devel
XFLAIM is an embeddable cross-platform XML database engine that
provides a rich, powerful, easy-to-use feature set. It has proven to be
highly scalable, reliable, and robust. It is available on a wide
variety of 32 bit and 64 bit platforms.



Authors:
--------
    Daniel Sanders
    Andrew Hodgkinson

%prep
%setup -q
%patch0
%if 0%{?suse_version} > 1140
%patch1
%endif
%ifarch %arm
%patch2
%endif
%patch3 -p1

%build
make lib_dir_name=%{_lib}  libs csharp %{?_smp_mflags}

%install
make rpm_build_root=$RPM_BUILD_ROOT install_prefix=%{_prefix} lib_dir_name=%{_lib}  install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT VERSION
%{_libdir}/libxflaim.so.3.2
%{_libdir}/libxflaim.so.3
%{_libdir}/xflaim_csharp.dll
%{_libdir}/xflaim_csharp.xml

%files devel
%defattr(-,root,root)
%{_libdir}/libxflaim.so
%{_libdir}/libxflaim.a
%{_libdir}/pkgconfig/libxflaim.pc
%{_includedir}/xflaim.h
%{_includedir}/xflaimtk.h

%changelog
* Sun Dec 25 2016 matwey.kornilov@gmail.com
- Update libxflaim-arm.patch: fix armv7l build
* Mon Jul 30 2012 aj@suse.de
- Add missing include of <signal.h>.
* Mon Jan 30 2012 mhrusecky@suse.cz
- adding ARM definitions
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
- Parallel building using %%_smp_mflags
* Fri Jul  8 2011 cwh@novell.com
- fixed gcc 4.6 build by building with -Wno-error=unused-but-set-variable
  (there are way too many unused -but-set variables)
* Thu Dec 27 2007 crrodriguez@suse.de
- fix library-without-ldconfig-* errors
- -devel package should require base package
* Wed Dec 19 2007 ro@suse.de
- fix a compiler warning (package is built with Werror)
* Thu Mar 29 2007 dsanders@novell.com
- Modified so that the java and xedit targets do not require the svn revision to be calculated.
- Added support for building with an openssl-enabled toolkit.
- Added public to Query class constructor (JAVA).
- Increased buffer size for con_printf.
- Fixed help for export command in xshell utility.
- Fixed exportXML JAVA method to add a null character to string for C++ layer .
- Changed JAVA setupQueryExpr method to produce a UTF8 string for C++ layer.
- Needed to release an open file stream in the import command.
- Changed PosIStream to IStream in JAVA code.
- Query parser needed to resolve the name when no prefix was specified using a NULL namespace.
* Thu Mar 29 2007 aj@suse.de
- Add BuildRequires for ncurses-devel.
* Fri Feb  9 2007 aj@suse.de
- Add defattr.
* Thu Feb  8 2007 dsanders@novell.com
- Changed license to LGPL.
- Fixed keyword substitution tokens.
- Added code to automatically start a read transaction (if needed) when iterating over a result set.
- Added code to handle the 'xml' namespace prefix.
- Added FlmReadFully() and enhanced the base64 decoder.
- Removed commands in makefile that was outputting provides to the spec file.
* Thu Feb  1 2007 ro@suse.de
- remove self-provides from devel package
* Thu Nov 16 2006 dsanders@novell.com
- Removed .exe files from package.
* Tue Oct 17 2006 dsanders@novell.com
- Fixed various issues for Solaris builds: warnings, unit tests crash, and alignment issues.
- Various enhancements and bug fixes in the B-Tree code.
- Changes to remove 1-byte packing (zp1) flags from build.
- Fixed bug in storeTextAsBinary().
- Added C# bindings.
- Updated javadoc documentation.
* Fri Sep 29 2006 aj@suse.de
- Removed self-provides on devel subpackage.
* Fri Sep  8 2006 dsanders@novell.com
- Enhanced and updated the Java interfaces to be more complete, including javadoc.
- Modified Makefile to generate javadoc documentation.
- Got the Java XEdit utility working again.
- Modified to use aligned buffers to improve direct I/O efficiency.
- Modified block cache allocator to make more efficient use of memory.
- Added option to allow disabling of direct I/O on Linux and Unix platforms.
- Enhancements to reduce the overhead of growing and shrinking files.
- Modified async I/O to make better reuse of available buffers when writes complete out of order.
- Fixed some memory leaks and other minor defects.
- Various tweaks for better support of various platforms and compilers.
* Tue Jun 27 2006 dsanders@novell.com
- Needed to make some typedefs public for Solaris 8.
- Also fixed so that xflaimtk.h is copied from ftk.h when building srcdist
* Sat Jun 24 2006 ro@suse.de
- removed buggy self-provides on devel subpackage
* Fri Jun 23 2006 dsanders@novell.com
- Changed to depend on java2-devel-packages instead of java2
* Thu Jun 22 2006 dsanders@novell.com
- Modified common toolkit formatter to support colors when logging.
- Modified to use common formatter in toolkit for logging.
* Tue Jun 20 2006 dsanders@novell.com
- Logger client was not being set up properly in common toolkit.
- Fixed a Netware build issue
- Fixed an OS X compiler warning
- Fixed linux compiler warning
- Needed to lock/unlock the random generator mutex when getting a random number.
- f_printf needed to call fflush.
- Base 64 decoder needed to return success instead of eof hit.
* Mon Jun 19 2006 dsanders@novell.com
- Moved the super-file handle into FTK.
- Fixed various memory leaks in the unit tests.
- Support for builing ring zero NLMs on Netware.
- Moved dynamic result set code to common toolkit.
- Added more asserts.
- Fixed more compiler warnings for ia64 platform.
* Thu Jun  1 2006 dsanders@novell.com
- Fixed compiler warnings for ia64 platform.
* Tue May 30 2006 dsanders@novell.com
- Added JNI support.
- Added password parameter to the backup method.
- Modified to use a common toolkit layer for various functions that are common to FLAIM and XFLAIM
- Added support for Sparc Linux and OpenSuse 10.1
- Various Makefile changes for HP-UX, OS X, and Solaris
- Various code cleanups to support a common toolkit
- Got rid of timeouts for internal transactions.
- Fixed defect where partial blocks were being written at the end of database files
- Fixed race condition that was causing memory to be double-freed.
- Added better support for atomic operations on various Unix and Linux platforms.
- Allow application to exceed hardcoded cache limits when setting a hard cache limit.
- Changed all RCODE values so they are different from those in toolkit.
- Fixed various compiler issues for solaris platform
- Added support for Netware
- Added support for building Windows binaries with Visual Studio 8.
- Modified slab manager on Solaris to use regular malloc calls instead of mmap.
* Tue Feb 28 2006 dsanders@novell.com
- Added support for Intel MAC platform and __sparc49 (64 bit solaris).
* Mon Feb 13 2006 dsanders@novell.com
- Started adding support for using autotools
- Changed naming convention for shared library to conform to standard.
* Wed Feb  8 2006 dsanders@novell.com
- Removed make.exe and printf.exe from package.
- Added support for Ubuntu and Debian
- Simplified how unit tests are created.
- Added some new unit tests
* Fri Feb  3 2006 dsanders@novell.com
- Fixed libflaim.pc to specify includedir and Cflags:
- Also changed name: to Name:
- Modified Makefile to use macros for outputting $ and %% characters
* Fri Feb  3 2006 dsanders@novell.com
- Initial Revision
